%define upstream_name HTML_Select
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.3.1
Release:     	%mkrel 1
Summary:    	HTML_Select is a class for generating HTML form select elements
License: 	PHP License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/HTML_Select-%{version}.tgz
URL: 		http://pear.php.net/package/HTML_Select
BuildRequires: 	php-pear >= 1.4.7
Requires: 	php-pear-HTML_Common >= 1.1
Requires:	php-pear >= 1.4.0b1
BuildArch: 	noarch

%description
HTML_Select provides an OOP way of generating HTML form select elements.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/HTML_Select.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/HTML_Select.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/HTML_Select
fi

%files
%defattr(-,root,root)
%doc docs/HTML_Select/*
%{peardir}/*
%{xmldir}/HTML_Select.xml


%changelog

* Tue Mar 06 2012 spuhler <spuhler> 1.3.1-1.mga2
+ Revision: 219547
- upgrade to 1.3.1
  pearized spec

* Mon Jan 24 2011 ennael <ennael> 1.3.0-2.mga1
+ Revision: 35747
- remove mdkversion
- imported package php-pear-HTML_Select

